Yelp

Get Yelp business details

Get public details for a Yelp business.

GET/v1/yelp/businesses/{alias}
2credits
x-api-keystringheader

API key (`sfk_...`)

Parameters
1
aliasstringrequiredpath

Yelp business alias or full business URL.

min 2 chars · max 2048 chars

Response fields
36

Endpoint-specific response payload.

dataalias
string

Business alias from its Yelp URL.

min 2 chars · max 200 chars

databusinessId
string
dataname
string
dataurl
string
datarating
numbernullable

≥ 0 · ≤ 5

datareviewCount
integernullable

≥ 0

dataisClaimed
booleannullable
dataisClosed
booleannullable
datapriceRange
stringnullable
dataphone
stringnullable
datawebsite
stringnullable
dataaddressline1
stringnullable
dataaddressline2
stringnullable
dataaddresscity
stringnullable
dataaddressregion
stringnullable
dataaddresspostalCode
stringnullable
dataaddresscountry
stringnullable
dataaddressformatted
stringnullable
datacoordinateslatitude
number
datacoordinateslongitude
number
datacategories[]alias
string
datacategories[]title
string
dataopeningHours[]
stringoptional
dataamenities[]name
string
dataamenities[]value
boolean

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

metacached
booleanoptional

True when served from shared response cache. Credits still apply (full endpoint price); Age header may be present.

Code example

curl "https://api.socialfetch.dev/v1/yelp/businesses/gary-danko-san-francisco" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Yelp business details.